SDL_GPUVertexAttribute(3type)

NAME
SDL_GPUVertexAttribute - A structure specifying a vertex attribute.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef struct SDL_GPUVertexAttribute
{
    Uint32 location;                    /**< The shader input location index. */
    Uint32 buffer_slot;                 /**< The binding slot of the associated vertex buffer. */
    SDL_GPUVertexElementFormat format;  /**< The size and type of the attribute data. */
    Uint32 offset;                      /**< The byte offset of this attribute relative to the start of the vertex element. */
} SDL_GPUVertexAttribute;

DESCRIPTION
All vertex attribute locations provided to an SDL_GPUVertexInputState must be unique.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_GPUVertexBufferDescription(3type), SDL_GPUVertexInputState(3type), SDL_GPUVertexElementFormat(3type)